nxdialog(1)

NAME
nxdialog - NX Dialog Helper

SYNOPSIS
nxdialog [-h] [--dialog DIALOG_TYPE] [--message TEXT]
         [--caption CAPTION] [--display DISPLAY] [--parent AGENTPID]
         [--window WINDOW] [--class DLGCLASS] [--local]
         [--allowmultiple]

DESCRIPTION
nxdialog is a GUI helper that can be used with nxagent to provide user interaction on certain events inside nxagent. It adds graphical widgets (menus, dialog boxes, etc.) to nxagent that allow a smarter user interaction with the agent.

nxagent is not using nxdialog by default, set the $NX_CLIENT environment variable to make the nxdialog path known to nxagent.

If you want to disable nxdialog usage in nxagent, then make sure that the $NX_CLIENT environment variable is unset.

COMMAND LINE OPTIONS

-h, --help
    Show this help message and exit.

--dialog DIALOG_TYPE
    Type of dialog to show, one of "yesno", "ok", "error", "panic", "quit", "pulldown", "yesnosuspend".

--message TEXT
    Message text to display in the dialog.

--caption CAPTION
    Window title of the dialog.

--display DISPLAY
    X11 display where the dialog should be shown (default: $DISPLAY).

--parent AGENTPID
    PID of the nxagent. The agent PID can be 0 for testing nxdialog.

--window WINDOW
    X11 id of window where to embed the pulldown dialog type.

--class DLGCLASS
    Class of the message (info, warning, error) default: info) [currently unimplemented].

--local
    Specify that proxy mode is used [currently unimplemented].

--allowmultiple
    Allow launching more than one dialog with the same message [currently unimplemented].

AUTHOR
The nxdialog application has been derived from Google's NeatX client application by Ulrich Sibiller <uli42@gmx.de>.

This manual has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go Project (https://wiki.x2go.org) and the Arctica Project (https://arctica-project.org).